﻿@model eCommerce.BackOffice.ViewModels.InCartReportViewModel
@using eCommerce.Services.Model.Enums


<div class="row">
    <div class="col-md-6 col-xs-6 nomargin animation-scale-up">
        <blockquote class="blockquote blockquote-success">
            <p class="reports">
                Monto total
            </p>
            <p>
                @Model.TotalAmount.ToString("c2")
            </p>
        </blockquote>
    </div>
    <div class="col-md-6 col-xs-6 nomargin animation-scale-up">
        <blockquote class="blockquote blockquote-success">
            <p class="reports">
                Cantidad de prendas
            </p>
            <p>
                @Model.TotalQuantity
            </p>
        </blockquote>
    </div>
</div>

<div class="panel">
    <div class="panel-body">
        <table class="table table-hover dataTable table-striped width-full table-ordersincart" data-plugin="dataTable">
            <thead>
                <tr>
                    <th class="text-left">Usuario</th>
                    <th class="text-left">Email</th>
                    <th class="text-left">Teléfono</th>
                    <th class="text-left">Tipo</th>
                    <th class="text-right">Cantidad</th>
                    <th class="text-right">Monto</th>
                    <th class="text-center">Último item agregado</th>
                    <th class="text-center">Último push</th>
                    <th class="text-center">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var order in Model.Orders)
                {
                    <tr class="js-tr" data-customer-id="@order.CustomerId" data-customer-email="@order.CustomerEmail">
                        <td class="text-left">@order.CustomerName</td>
                        <td class="text-left">@order.CustomerEmail</td>
                        <td class="text-left">@order.CustomerPhone</td>
                        <td class="text-left">@UserTypeEnum.Mayorista</td>
                        <td class="text-right">@order.TotalQuantity</td>
                        <td class="text-right">@order.TotalAmount.ToString("c2")</td>
                        <td class="text-center">@string.Format("{0:dd/MM/yyyy}", order.LastItemAddedDate)</td>
                        <td class="text-center js-cart-push-date">@(order.LastPushDate != default(DateTime) ? string.Format("{0:dd/MM/yyyy}", order.LastPushDate) : "-")</td>
                        <td class="actions text-center">

                            <a href="/Orders/ViewInCartDetail?CustomerId=@order.CustomerId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                               data-toggle="tooltip" data-original-title="Ver detalle"><i class="icon wb-order" aria-hidden="true"></i></a>

                            <a href="javascript:void(0);" class="js-sendpushmail btn btn-sm btn-icon btn-pure btn-default on-default sendmail-row"
                               data-toggle="tooltip" data-original-title="Enviar push de venta" onclick="SendMail($(this))"><i class="icon fa-envelope-o" aria-hidden="true"></i></a>

                        </td>
                    </tr>
                }
            </tbody>
        </table>

    </div>
</div>



